CREATE TABLE ffs_scheduling_plan (
    SCHEDULING_PLAN_ID               NUMBER(8, 0)  ,
    SCHEDULING_PROFILE_ID            NUMBER(8, 0)      NOT NULL,
    PREDECESSOR_ID                   NUMBER(8, 0)      NOT NULL,
    NAME                             VARCHAR2(640) ,
    ACTIVE                           NUMBER(3, 0)      NOT NULL,
    TYPE                             VARCHAR2(36)  ,
    GOAL_BASED_OPTIMIZATION          VARCHAR2(84)  ,
    START_DAY_OFFSET                 NUMBER(3, 0)      NOT NULL,
    FROM_TIME                        NUMBER(5, 0)  ,
    TO_TIME                          NUMBER(5, 0)  ,
    INTERVAL                         NUMBER(5, 0)  ,
    WEEKDAYS                         NUMBER(3, 0)  ,
    TIME_LIMIT                       NUMBER(10, 0)     NOT NULL,
    AUTO_ORDERING                    NUMBER(3, 0)      NOT NULL,
    UNIFORMITY_COEFF                 NUMBER            NOT NULL,
    FITNESS_COEFF_WINDOW_RESERV      NUMBER            NOT NULL,
    DYNAMIC_SCHED_TIME               NUMBER(10, 0)     NOT NULL,
    DYNAMIC_SCHED_NUM_ACTIVITIES     NUMBER(10, 0)     NOT NULL,
    DYNAMIC_SCHED_STOP_CONDITION     NUMBER(10, 0)     NOT NULL,
    HOME_ZONE_OVERSTEP_WGHT          NUMBER(10, 0)     NOT NULL,
    UPDATED                          TIMESTAMP(0)      NOT NULL,
    RESOURCE_OVERTIME                NUMBER(10, 0)     NOT NULL,
    UNACCEPTABLE_TRAVEL_TIME         NUMBER(10, 0)     NOT NULL,
    UNACCEPTABLE_TRAVEL_DISTANCE     NUMBER            NOT NULL,
    TRAVEL_OPTIMIZATION_STRATEGY     VARCHAR2(32)  ,
    USE_SLT                          NUMBER(3, 0)      NOT NULL,
    LIMIT_WORK_BY_POINTS             NUMBER(3, 0)      NOT NULL,
    DEFAULT_APPT_POINTS              NUMBER(10, 0)     NOT NULL,
    APPT_POINTS_PROPERTY_ID          NUMBER(5, 0)      NOT NULL,
    GET_TECH_POINTS_FROM_CALENDAR    NUMBER(3, 0)      NOT NULL,
    DEFAULT_TECH_POINTS              NUMBER(10, 0)     NOT NULL,
    TECH_POINTS_PROPERTYID           NUMBER(5, 0)      NOT NULL,
    CALENDAR_POINT_SIZE              NUMBER(10, 0)     NOT NULL,
    CALENDAR_RESERVED                NUMBER(10, 0)     NOT NULL,
    ASSURANCE_STILL_LIMIT            NUMBER(10, 0) ,
    INSUFFICIENT_SKILL_FACTOR        NUMBER            NOT NULL,
    DEFAULT_HOME_ZONE_RADIUS         NUMBER(10, 0)     NOT NULL,
    HOME_ZONE_ENABLE                 NUMBER(10, 0)     NOT NULL,
    USE_REQUIRED_INVENTORY           NUMBER(3, 0)      NOT NULL,
    REOPT_ENABLE                     NUMBER(3, 0)      NOT NULL,
    REOPT_GOAL                       VARCHAR2(124) ,
    REOPT_REDUCE_OVERDUE_THOLD       NUMBER(3, 0)  ,
    TRIGGER_FILTER_ID                NUMBER(8, 0)      NOT NULL,
    IMMEDIATE_SCHEDULING_TYPE        VARCHAR2(4000),
    ASSIGNMENT_FROM                  NUMBER(8, 0)      NOT NULL,
    ASSIGNMENT_TO                    NUMBER(8, 0)      NOT NULL,
    BUNDLING_FROM                    NUMBER(8, 0)      NOT NULL,
    BUNDLING_TO                      NUMBER(8, 0)      NOT NULL,
    REOPT_MOVE_COST_OVERRIDE         NUMBER            NOT NULL,
    REOPT_MOVE_COST                  NUMBER            NOT NULL,
    SW_RESERVATION_OVERRIDE          NUMBER(3, 0)      NOT NULL,
    SW_RESERVATION                   NUMBER            NOT NULL,
    IMMEDIATE_SCHEDULING_SUBTYPE     VARCHAR2(36)  ,
    COLLAB_ROUTING_TIME_LIMIT        NUMBER(10, 0)     NOT NULL,
    FLOW_ID                          NUMBER(10, 0)     NOT NULL,
    SCHEDULING_TO_CONTRACTOR         NUMBER(3, 0)      NOT NULL,
    ONLY_INTERNAL_RESOURCES          NUMBER(3, 0)      NOT NULL,
    IGNORE_WORK_ZONE_MISMATCH        NUMBER(3, 0)      NOT NULL,
    DESCRIPTION                      VARCHAR2(1016),
    ACTIVITY_TYPE_ID_INV_PICKUP      NUMBER(3, 0)  ,
    TIME_LIMIT_PERCENT_SLT           NUMBER(10, 0) ,
    TARGET_QUALITY                   NUMBER(3, 0)  ,
    RECOMM_MIN_TIME_LIMIT            NUMBER(5, 0)  ,
    RECOMM_MAX_TIME_LIMIT            NUMBER(5, 0)  ,
    RECOMM_BALANCED_TIME_LIMIT       NUMBER(5, 0)  ,
    LABEL                            VARCHAR2(800) ,
    INVENTORY_REQUIRED_DAYS          NUMBER(5, 0)  ,
    DAILY_DISTANCE_LIMIT_IS_USED     NUMBER(1, 0)      NOT NULL,
    UNACCEPTABLE_DAILY_DISTANCE      NUMBER        ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    SEED_DATA_SOURCE                 VARCHAR2(2048),
    ORA_SEED_SET1                    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                    VARCHAR2(4)       NOT NULL,
    DELETED_FLAG                     VARCHAR2(4)   ,
    FLAGS                            NUMBER(18, 0)     NOT NULL,
    SCHEDULING_PLAN_ID               NUMBER(8, 0)  ,
    SCHEDULING_PROFILE_ID            NUMBER(8, 0)      NOT NULL,
    PREDECESSOR_ID                   NUMBER(8, 0)      NOT NULL,
    NAME                             VARCHAR2(640) ,
    ACTIVE                           NUMBER(3, 0)      NOT NULL,
    TYPE                             VARCHAR2(36)  ,
    GOAL_BASED_OPTIMIZATION          VARCHAR2(84)  ,
    START_DAY_OFFSET                 NUMBER(3, 0)      NOT NULL,
    FROM_TIME                        NUMBER(5, 0)  ,
    TO_TIME                          NUMBER(5, 0)  ,
    INTERVAL                         NUMBER(5, 0)  ,
    WEEKDAYS                         NUMBER(3, 0)  ,
    TIME_LIMIT                       NUMBER(10, 0)     NOT NULL,
    AUTO_ORDERING                    NUMBER(3, 0)      NOT NULL,
    UNIFORMITY_COEFF                 NUMBER            NOT NULL,
    FITNESS_COEFF_WINDOW_RESERV      NUMBER            NOT NULL,
    DYNAMIC_SCHED_TIME               NUMBER(10, 0)     NOT NULL,
    DYNAMIC_SCHED_NUM_ACTIVITIES     NUMBER(10, 0)     NOT NULL,
    DYNAMIC_SCHED_STOP_CONDITION     NUMBER(10, 0)     NOT NULL,
    HOME_ZONE_OVERSTEP_WGHT          NUMBER(10, 0)     NOT NULL,
    UPDATED                          TIMESTAMP(0)      NOT NULL,
    RESOURCE_OVERTIME                NUMBER(10, 0)     NOT NULL,
    UNACCEPTABLE_TRAVEL_TIME         NUMBER(10, 0)     NOT NULL,
    UNACCEPTABLE_TRAVEL_DISTANCE     NUMBER            NOT NULL,
    TRAVEL_OPTIMIZATION_STRATEGY     VARCHAR2(32)  ,
    USE_SLT                          NUMBER(3, 0)      NOT NULL,
    LIMIT_WORK_BY_POINTS             NUMBER(3, 0)      NOT NULL,
    DEFAULT_APPT_POINTS              NUMBER(10, 0)     NOT NULL,
    APPT_POINTS_PROPERTY_ID          NUMBER(5, 0)      NOT NULL,
    GET_TECH_POINTS_FROM_CALENDAR    NUMBER(3, 0)      NOT NULL,
    DEFAULT_TECH_POINTS              NUMBER(10, 0)     NOT NULL,
    TECH_POINTS_PROPERTYID           NUMBER(5, 0)      NOT NULL,
    CALENDAR_POINT_SIZE              NUMBER(10, 0)     NOT NULL,
    CALENDAR_RESERVED                NUMBER(10, 0)     NOT NULL,
    ASSURANCE_STILL_LIMIT            NUMBER(10, 0) ,
    INSUFFICIENT_SKILL_FACTOR        NUMBER            NOT NULL,
    DEFAULT_HOME_ZONE_RADIUS         NUMBER(10, 0)     NOT NULL,
    HOME_ZONE_ENABLE                 NUMBER(10, 0)     NOT NULL,
    USE_REQUIRED_INVENTORY           NUMBER(3, 0)      NOT NULL,
    REOPT_ENABLE                     NUMBER(3, 0)      NOT NULL,
    REOPT_GOAL                       VARCHAR2(124) ,
    REOPT_REDUCE_OVERDUE_THOLD       NUMBER(3, 0)  ,
    TRIGGER_FILTER_ID                NUMBER(8, 0)      NOT NULL,
    IMMEDIATE_SCHEDULING_TYPE        VARCHAR2(4000),
    ASSIGNMENT_FROM                  NUMBER(8, 0)      NOT NULL,
    ASSIGNMENT_TO                    NUMBER(8, 0)      NOT NULL,
    BUNDLING_FROM                    NUMBER(8, 0)      NOT NULL,
    BUNDLING_TO                      NUMBER(8, 0)      NOT NULL,
    REOPT_MOVE_COST_OVERRIDE         NUMBER            NOT NULL,
    REOPT_MOVE_COST                  NUMBER            NOT NULL,
    SW_RESERVATION_OVERRIDE          NUMBER(3, 0)      NOT NULL,
    SW_RESERVATION                   NUMBER            NOT NULL,
    IMMEDIATE_SCHEDULING_SUBTYPE     VARCHAR2(36)  ,
    COLLAB_ROUTING_TIME_LIMIT        NUMBER(10, 0)     NOT NULL,
    FLOW_ID                          NUMBER(10, 0)     NOT NULL,
    SCHEDULING_TO_CONTRACTOR         NUMBER(3, 0)      NOT NULL,
    ONLY_INTERNAL_RESOURCES          NUMBER(3, 0)      NOT NULL,
    IGNORE_WORK_ZONE_MISMATCH        NUMBER(3, 0)      NOT NULL,
    DESCRIPTION                      VARCHAR2(1016),
    ACTIVITY_TYPE_ID_INV_PICKUP      NUMBER(3, 0)  ,
    TIME_LIMIT_PERCENT_SLT           NUMBER(10, 0) ,
    TARGET_QUALITY                   NUMBER(3, 0)  ,
    RECOMM_MIN_TIME_LIMIT            NUMBER(5, 0)  ,
    RECOMM_MAX_TIME_LIMIT            NUMBER(5, 0)  ,
    RECOMM_BALANCED_TIME_LIMIT       NUMBER(5, 0)  ,
    LABEL                            VARCHAR2(800) ,
    INVENTORY_REQUIRED_DAYS          NUMBER(5, 0)  ,
    DAILY_DISTANCE_LIMIT_IS_USED     NUMBER(1, 0)      NOT NULL,
    UNACCEPTABLE_DAILY_DISTANCE      NUMBER        ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    SEED_DATA_SOURCE                 VARCHAR2(2048),
    ORA_SEED_SET1                    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                    VARCHAR2(4)       NOT NULL,
    DELETED_FLAG                     VARCHAR2(4)   ,
    FLAGS                            NUMBER(18, 0)     NOT NULL,
    CONSTRAINT pk_ffs_scheduling_plan PRIMARY KEY (SCHEDULING_PLAN_ID, SCHEDULING_PLAN_ID)
);
